Page MenuHomePhabricator

Browser test failure: Able to access left navigation in basic non-JavaScript site
Closed, ResolvedPublic1 Story Points

Description

https://integration.wikimedia.org/ci/view/Reading-Web/job/selenium-MobileFrontend/397/

Failing since the 20th of April.

Steps:

Actual:

  • There is a Log in button.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2017, 11:23 AM
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

Change 350464 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Update browser tests for main menu non-Js experience

https://gerrit.wikimedia.org/r/350464

Nothing is broken. This is actually expected behaviour, the test just didn't get updated. I've submitted a patch as this is a trivial fix and it would be nice to have our tests green again.

Jdlrobson triaged this task as High priority.Apr 26 2017, 6:58 PM

Change 350464 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update browser tests for main menu non-Js experience

https://gerrit.wikimedia.org/r/350464

phuedx added a subscriber: phuedx.Apr 27 2017, 8:33 AM

I've started a rebuild of the selenium-MobileFrontend project…

and it's green!!1 👍 We'll add an estimate during today's Stand Up meeting and then this can be resolved.

MBinder_WMF set the point value for this task to 1.Apr 27 2017, 5:05 PM